// Error codes for Vensim dll/library returns

// common
#define ERR_RESOURCE -1 // unable to find resource file
#define ERR_SERIAL_NO -2 // missing/bad serial number
#define ERR_CONTEXT_LOCK -3
#define ERR_FILE -4 // file not found or unreadable
#define ERR_VALIDATION_CONTEXT -5
#define ERR_VALIDATION_STARTUP -6
#define ERR_VALIDATION_LOCK -7
#define ERR_VALIDATION_JUMP -8
#define ERR_INFO_UNKNOWN -9
#define ERR_VALIDATION_MUTEX_STARTUP -10
#define ERR_WRONG_STATE -11
#define ERR_BUFFER_SIZE -14 // not enough space for state
#define ERR_BUFFER_NULL -21 // null pointer to buffer for writing state or list

// vensim_get_state & vensim_set_state
#define ERR_RUN_TYPE -12 // can't get state from run type
#define ERR_RUN_DESCRIPT -13 // failed to read run description
#define ERR_RD_CONST -15 // failed to read constant vector
#define ERR_DELAYS -16 // can't use state with internal delay functions
#define ERR_RD_LEVEL_AT_TIME -17 // can't read levels at specified time
#define ERR_TAB_BLOCK -18 // can't read table block
#define ERR_STRINGS -19 // can't read strings
#define ERR_MISMATCH -20 // attributes of state don't match model


